Bug 243906 - emulators/qemu-user-static: Update to 3.1, Deprecate emulators/qemu-sbruno
Summary: emulators/qemu-user-static: Update to 3.1, Deprecate emulators/qemu-sbruno
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-05 16:48 UTC by Kyle Evans
Modified: 2020-06-04 05:00 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
svn(1) diff against the ports tree (18.15 KB, patch)
2020-02-05 16:48 UTC, Kyle Evans
kevans: maintainer-approval+
Details | Diff
svn(1) diff against the ports tree (5.84 KB, patch)
2020-02-08 04:37 UTC, Kyle Evans
kevans: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2020-02-05 16:48:03 UTC
Created attachment 211381 [details]
svn(1) diff against the ports tree

The main feature of the update to 3.1 is RISC-V support, contributed by Embecosm.

Note that this is going to be enacted by removing the current emulators/qemu-user-static and repocopying qemu-user-static-devel over. qemu-user-static-devel itself is a repocopy of qemu-sbruno with the qemu-system bits removed. qemu-user-static doesn't have much interesting history attached to it as a slave port of qemu-sbruno, so it feels more appropriate this way.

In a separate commit, but in this same patch, we intend to deprecate qemu-sbruno. The system bits from our branch should match upstream pretty closely, and the versions should be converging going into the future as we'll continue to rebase user-static towards modern day qemu. I've tentatively put the date five months out, but I'm not convinced it matters if it's sooner or later -- there shouldn't really be many, if any, users of it.
Comment 1 Kyle Evans freebsd_committer 2020-02-08 04:37:10 UTC
Created attachment 211465 [details]
svn(1) diff against the ports tree

Re-roll the patch; instead of --show-copies-as-adds, just use the diff as-is. qemu-user-static-devel is copied to qemu-user-static.
Comment 2 Kyle Evans freebsd_committer 2020-02-08 04:37:39 UTC
Comment on attachment 211465 [details]
svn(1) diff against the ports tree

Approved by: emulation (maintainer, kevans)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-08 04:58:33 UTC
@Kyle Can you confirm these changes pass QA (portlint, poudriere) please
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-08 05:01:42 UTC
^Triage: Reporter is committer, and MAINTAINER (emulation@), assign accordingly.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-08 05:02:40 UTC
Comment on attachment 211465 [details]
svn(1) diff against the ports tree

Reviewed by: koobs (ports)
Approved by: koobs (ports)

Approval pending/contingent on QA passing for all affected ports
Comment 6 Kyle Evans freebsd_committer 2020-02-08 05:07:45 UTC
Q/A
* testport (12.1, amd64)
Comment 7 Kyle Evans freebsd_committer 2020-04-23 15:39:53 UTC
@koobs: I'd like to go ahead and proceed with this this weekend. Am I OK to commit the following + svn rm emulators/qemu-user-static; then revert this diff and do the repocopy from emulators/qemu-user-static-devel in the next commit?

So two (2) commits total: one +MOVED and removing it from emulators/, and the next commit re-adding it and killing off the MOVED entry. I believe this would keep `make index` intact and cause the least amount of friction, given that zapping the anti-replacement commit hook isn't an option. clusteradm@ updates their repo at 2AM Pacific Time which is about ~4AM CDT, I'll plan to do it just a couple hours later so that there's plenty of time prior to their next build in case something unexpected comes up.

Index: MOVED
===================================================================
--- MOVED       (revision 532685)
+++ MOVED       (working copy)
@@ -14550,3 +14550,4 @@
 security/suricata5|security/suricata|2020-04-20|Has expired: security/suricata is already at version 5
 finance/py-ebaysdk-python|finance/py-ebaysdk|2020-04-21|Renamed to match Pypy package
 emulators/qemu30|emulators/qemu31|2020-04-21|Has expired: No longer maintained by upstream
+emulators/qemu-user-static||2020-04-25|Slave port being replaced by a copy of qemu-user-static-devel
Index: emulators/Makefile
===================================================================
--- emulators/Makefile  (revision 532685)
+++ emulators/Makefile  (working copy)
@@ -110,7 +110,6 @@
     SUBDIR += qemu-devel
     SUBDIR += qemu-powernv
     SUBDIR += qemu-sbruno
-    SUBDIR += qemu-user-static
     SUBDIR += qemu-user-static-devel
     SUBDIR += qemu-utils
     SUBDIR += qemu31
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-26 07:26:24 UTC
(In reply to Kyle Evans from comment #7)

I'm comfortable with that, thank you for clarifying the process
Comment 9 commit-hook freebsd_committer 2020-04-26 15:45:37 UTC
A commit references this bug:

Author: kevans
Date: Sun Apr 26 15:45:11 UTC 2020
New revision: 533074
URL: https://svnweb.freebsd.org/changeset/ports/533074

Log:
  Remove the old emulators/qemu-user-static from the tree

  This will be momentarily replaced by a repocopy of qemu-user-static-devel
  back over to qemu-user-static. With the update of qemu-user-static to 3.1,
  emulators/qemu-user-static will no longer be a slave port and
  emulators/qemu-sbruno will be deprecated in a couple months.

  Some history is being lost in this transition, but almost all of the
  interesting parts of qemu-user-static were in the master port qemu-sbruno
  anyways, which qemu-user-static-devel is repoderived from.

  PR:		243906
  Approved by:	koobs (mentor)

Changes:
  head/MOVED
  head/emulators/Makefile
  head/emulators/qemu-user-static/
Comment 10 commit-hook freebsd_committer 2020-04-26 15:57:39 UTC
A commit references this bug:

Author: kevans
Date: Sun Apr 26 15:57:13 UTC 2020
New revision: 533075
URL: https://svnweb.freebsd.org/changeset/ports/533075

Log:
  emulators/qemu-user-static: revive as a copy of qemu-user-static-devel

  This is effectively the 3.1 update of qemu-user-static. The main feature of
  the update to 3.1 is RISC-V support, contributed by Embecosm.

  PR:		243906
  Approved by:	koobs (mentor)

Changes:
  head/MOVED
  head/emulators/Makefile
  head/emulators/qemu-sbruno/Makefile
  head/emulators/qemu-user-static/
  head/emulators/qemu-user-static/Makefile
Comment 11 Mark Linimon freebsd_committer freebsd_triage 2020-06-04 05:00:59 UTC
Committed as r533075 Sun Apr 26 15:57:12 2020 UTC and r533403 Wed Apr 29 23:46:05 2020 UTC .